> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/notifications-api/batches.md).

# Batch

The Batch object represents an email being sent to a specific category and multiple contacts.

This object contains the following attributes:

<table><thead><tr><th width="156">Field</th><th width="154">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>(Read-only) A primary identifier for the batch. </td></tr><tr><td><code>href</code></td><td>string, core</td><td>(Read-only) A relative reference to the object. </td></tr><tr><td><code>category</code></td><td>object, core</td><td>Represents the <a href="/pages/V1ox0ZYVCjxdL4bPr5rA"><code>category</code></a> object.</td></tr><tr><td><code>account</code></td><td>object, core</td><td>Represents the <a href="/pages/tq2fdEq8olL6Ahrf4HVR"><code>account</code></a> object.</td></tr><tr><td><code>subject</code></td><td>string, core</td><td>The subject line of the notification email. </td></tr><tr><td><code>body</code></td><td>string</td><td>The body of the message.</td></tr><tr><td><code>attachments</code></td><td>object</td><td><p>(Read-only) Represents the <code>attachment</code> object. Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers><code class="lang-json">[
  {
    "id": "ATT-1234-1234-1234",
    "name": "Some mail attachment",
    "contentType": "application/octet-stream",
    "fileSize": 1234,
    "fileName": "SomeFile.pdf",
    "href": "/v1/notifications/messages/attachments/ATT-1234-1234-1234"
  },
  {
    "id": "ATT-9876-9876-9876",
    "name": "Some other mail attachment",
    "contentType": "application/octet-stream",
    "fileSize": 9876,
    "fileName": "SomeOtherFile.pdf",
    "href": "/v1/notifications/messages/attachments/ATT-9876-9876-9876"
  }
]

</code></pre></td></tr></tbody></table>

## Example

{% code title="BATCH OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "MST-1234-9876-3333",
  "href": "/v1/notifications/batches/MST-1234-9876-3333",
  "category": {
    "id": "NTC-1234-9876",
    "href": "/v1/notifications/categories/NTC-1234-9876",
    "name": "Orders",
    "shortDescription": "Includes updates about order confirmations, order status updates, and related communications."
  },
  "account": {
    "id": "ACC-5131-0044",
    "href": "/accounts/accounts/ACC-5131-0044",
    "type": "Client",
    "status": "Active",
    "name": "SURFMARKET BV"
  },  
  "subject": "Order published",
  "body": "<b>Hello</b>",
}
```

{% endcode %}

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/notifications-api/batches.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
